diff --git a/src/backend/postmaster/bgworker.c b/src/backend/postmaster/bgworker.c
new file mode 100644
index f57224c..68c9505
*** a/src/backend/postmaster/bgworker.c
--- b/src/backend/postmaster/bgworker.c
*************** BackgroundWorkerStateChange(void)
*** 341,347 ****
  		rw->rw_terminate = false;
  
  		/* Log it! */
! 		ereport(LOG,
  				(errmsg("registering background worker \"%s\"",
  						rw->rw_worker.bgw_name)));
  
--- 341,347 ----
  		rw->rw_terminate = false;
  
  		/* Log it! */
! 		ereport(DEBUG1,
  				(errmsg("registering background worker \"%s\"",
  						rw->rw_worker.bgw_name)));
  
*************** ForgetBackgroundWorker(slist_mutable_ite
*** 370,376 ****
  	slot = &BackgroundWorkerData->slot[rw->rw_shmem_slot];
  	slot->in_use = false;
  
! 	ereport(LOG,
  			(errmsg("unregistering background worker \"%s\"",
  					rw->rw_worker.bgw_name)));
  
--- 370,376 ----
  	slot = &BackgroundWorkerData->slot[rw->rw_shmem_slot];
  	slot->in_use = false;
  
! 	ereport(DEBUG1,
  			(errmsg("unregistering background worker \"%s\"",
  					rw->rw_worker.bgw_name)));
  
*************** RegisterBackgroundWorker(BackgroundWorke
*** 741,747 ****
  	static int	numworkers = 0;
  
  	if (!IsUnderPostmaster)
! 		ereport(LOG,
  		 (errmsg("registering background worker \"%s\"", worker->bgw_name)));
  
  	if (!process_shared_preload_libraries_in_progress)
--- 741,747 ----
  	static int	numworkers = 0;
  
  	if (!IsUnderPostmaster)
! 		ereport(DEBUG1,
  		 (errmsg("registering background worker \"%s\"", worker->bgw_name)));
  
  	if (!process_shared_preload_libraries_in_progress)
diff --git a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
new file mode 100644
index 324bf7a..633cdd7
*** a/src/backend/postmaster/postmaster.c
--- b/src/backend/postmaster/postmaster.c
*************** CleanupBackgroundWorker(int pid,
*** 2964,2970 ****
  		rw->rw_child_slot = 0;
  		ReportBackgroundWorkerPID(rw);	/* report child death */
  
! 		LogChildExit(LOG, namebuf, pid, exitstatus);
  
  		return true;
  	}
--- 2964,2971 ----
  		rw->rw_child_slot = 0;
  		ReportBackgroundWorkerPID(rw);	/* report child death */
  
! 		LogChildExit(EXIT_STATUS_0(exitstatus) ? DEBUG1 :  LOG,
! 							    namebuf, pid, exitstatus);
  
  		return true;
  	}
*************** do_start_bgworker(RegisteredBgWorker *rw
*** 5420,5426 ****
  {
  	pid_t		worker_pid;
  
! 	ereport(LOG,
  			(errmsg("starting background worker process \"%s\"",
  					rw->rw_worker.bgw_name)));
  
--- 5421,5427 ----
  {
  	pid_t		worker_pid;
  
! 	ereport(DEBUG1,
  			(errmsg("starting background worker process \"%s\"",
  					rw->rw_worker.bgw_name)));
  
